org.wso2.carbon.device.mgt.mobile.windows.api.common.exceptions

## Class AuthenticationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.wso2.carbon.device.mgt.mobile.windows.api.common.exceptions.AuthenticationException

- All Implemented Interfaces:
    Serializable

      public class AuthenticationException
      extends Exception

  Exception class for authentication failures in windows device enrollment.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationException()`
    `AuthenticationException(String message)`
    `AuthenticationException(String message, Exception nestedEx)`
    `AuthenticationException(String message, Throwable cause)`
    `AuthenticationException(Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getErrorMessage()`
    `void` | `setErrorMessage(String errorMessage)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AuthenticationException

          public AuthenticationException(String message)

    - #### AuthenticationException

          public AuthenticationException(String message,
                                 Throwable cause)

    - #### AuthenticationException

          public AuthenticationException(String message,
                                 Exception nestedEx)

    - #### AuthenticationException

          public AuthenticationException(Throwable cause)

    - #### AuthenticationException

          public AuthenticationException()

  - ### Method Detail

    - #### getErrorMessage

          public String getErrorMessage()

    - #### setErrorMessage

          public void setErrorMessage(String errorMessage)

Copyright © 2017 WSO2. All rights reserved.